/****************************************************************************************
    Copyright 2004 uja
    Game constants of Lmmerlinge/LittleSheep which runs under GPL
*****************************************************************************************/

// files:
#define PROGICON      "./images/a_0001.png"  // icon
#define BACKPIX0      "./images/bgr0.png"    // background window
#define BACKPIX1      "./images/a_0000.png"  // background canvas
#define BACKPIX2      "./images/bgr2.png"    // background signpost
#define PAPERBILD     "./images/bgr1.png"    // background textview
#define HSCPOTT       "./images/pott.png"    // Medaillen
#define BGRSPRITE     "./images/a_%1.png"    // board, Block, Path waa,senk,lo,ro,ru,lu
#define CHIPSPRITE    "./images/c_%1.png"    // patt 0-17
#define BGRSPRITE1    "./images/g_%1.png"
#define CHIPSPRITE1   "./images/f_%1.png"

#define EXPLOSPRITE   "./images/b_%1.png"    // patt 0-7 je Effekt
#define EXPLOSPRITE1  "./images/h_%1.png"    // patt 0-7 je Effekt

#define GAMEOVERFILE  "./images/gover.png"
#define PAUSEFILE     "./images/pause.png"
#define CURSORFILE    "./images/cursor.png"

#define LEVELFILE     "./levels.csv"                  // Levelcode_ pattern 0/1
#define HSCFILE       "./hiscore.csv"                 // fallback highscore list (local)

// colors: 
#define BACKGR0   "#221100"   // Aussenfenster Hintergrund
#define COLOR0    "#cccc99"   // Aussenfenster Textfarbe
#define BACKGR1   "#554433"   // Spielfeld Hintergrund
#define COLOR1    "#cccc99"   // Spielfeld Textfarbe
#define BACKGR2   "#eeddcc"   // Anzeigen Hintergrund
#define COLOR2    "#000033"   // Anzeigen Textfarbe 
#define PAPCOLOR0  "#eeddcc"  // Rahmenfarbe HSCListe
#define HICOLOR    "#990011"  // Hiscore-Top-Farbe
#define LOCOLOR    "#003355"  // Hiscore-Textfarbe
#define RANDHCOLOR "#ccddee"  // Randfarben Spielfeld
#define RANDDCOLOR "#334455"

// sizes:
#define WIN_BMAX 800 // window sizes, optimized 800x600
#define WIN_HMAX 600
#define WIN_BMIN 720
#define WIN_HMIN 480 // min.width HSCList
#define HSCBREITE 540 
#define HELPBREITE 480
#define INFOBREITE 320

#define MAXSPEICHER  8
#define MAXEINTRAG  20 // max. entries Hiscore list
#define HSCGRENZE    5 // nr of best players to hilite in Hiscore list 

#define MAXLEVELS   99 // maximum levels to store, not the actual num of levels!
#define NUMCHIPS    12
#define DX 40     // sprite size, playfield offsets    
#define DY 40
#define OFX 0
#define OFY 0
#define XMAX 12   // field dimensions in sprite units
#define YMAX 12
#define SMAX 144  // max. num fields (for events)  
// ---------------------------------------------------------------------------------

